TimeSeries — GET /timeseries/profile
What it does
Lists available time series profiles. Use this to see what profiles exist before requesting a specific profile by ID.
A time series profile is a collection of timestamped values for a set of parameters associated with a specific location and key parameter. These profiles are primarily used for the storage of depth-linked water quality data in reservoirs, but can also store other types of profiles such as height-linked meteorological data.
The timestamped values are stored as standard CWMS time series. For each location and key parameter, the CWMS time series includes values from all profile instances that share the same combination of location, key parameter, and version identifier. (See timeseries/profile-instance endpoint for details.)
Profile definitions are linked to a specific combination of location and key parameter. Only one profile definition can exist for each location-key parameter pair.
When to use
Catalog the profiles available for your office
Filter by location or parameter to narrow results
Parameter |
Description |
Required |
When to Use |
|---|---|---|---|
location-mask |
|||
office-mask |
|||
page |
|||
page-size |
|||
parameter-id-mask |
Examples
- The user wants to retrieve the profiles of all parameters from the HQ office:(office)
HQbut is unsure of the location name. They know the location name starts with ABC, so they use a wildcard search:
(location-mask)ABC*GET /timeseries/profile?location-mask=ABC*&office=HQ
- The user wants to retrieve the profiles for the elevation parameter:(parameter-id-mask)
Elevacross all offices starting with S, such as SPK, SRL, and SWT, so they use a wildcard search for the office:(office-mask)S*GET /timeseries/profile?office-mask=S*¶meter-id-mask=Elev
- The user wants to list the profiles of all parameters at the SPK office:(office-mask)
SPKbut only wants to see 100 results at a time.(page-size)100GET /timeseries/profile?office-mask=SPK&page-size=100
The user wants to list the following page of results from the previous query, using the next-page value of t!qqoLun283 returned in the prior response. The query remains the same:
(office-mask)SPK(page-size)100but adds the page parameter:(page)t!qqoLun283GET /timeseries/profile?office-mask=SPK&page-size=100&page=t!qqoLun283
See the consolidated API documentation: API References.